Are you Sure you want to logout?
15
Votes
X


Vote
Your vote has been submitted successfully
Share:

iPod 4th Gen support

Can you please make this application work on the iPod 4th generation

completed
Anonymous Shared this idea     January 30, 2013
Add a comment
Anonymous Commented February 11, 2013, 12:47 am

I really need iPod 4th generation support. It doesn't matter when you can do that, but I really need this support. I can´t change my device, I am still paying this ipod 4th generation